Loading...
Searching...
No Matches
Opm::RestartIO::InteHEAD Class Reference

## Classes

struct | WellTableDim
struct | WellSegDims
struct | RegDims
struct | RockOpts
struct | TimePoint
struct | Phases
struct | TuningPar
struct | Group
struct | UdqParam
struct | ActionParam
struct | GuideRateNominatedPhase
struct | ActiveNetwork
struct | NetworkDims
struct | NetBalanceDims
struct | AquiferDims

## Public Member Functions

| InteHEAD (const InteHEAD &rhs)=default
| InteHEAD (InteHEAD &&rhs)=default
InteHEAD & | operator= (const InteHEAD &rhs)=default
InteHEAD & | operator= (InteHEAD &&rhs)=default
InteHEAD & | dimensions (const int nx, const int ny, const int nz)
InteHEAD & | dimensions (const std::array< int, 3 > &cartDims)
InteHEAD & | numActive (const int nactive)
InteHEAD & | unitConventions (const UnitSystem &usys)
InteHEAD & | wellTableDimensions (const WellTableDim &wtdim)
InteHEAD & | aquiferDimensions (const AquiferDims &aqudims)
InteHEAD & | calendarDate (const TimePoint &date)
InteHEAD & | activePhases (const Phases &phases)
InteHEAD & | drsdt (const Schedule &sched, const std::size_t lookup_step)
InteHEAD & | params_NWELZ (const int niwelz, const int nswelz, const int nxwelz, const int nzwelz)
InteHEAD & | params_NCON (const int niconz, const int nsconz, const int nxconz)
InteHEAD & | params_GRPZ (const std::array< int, 4 > &grpz)
InteHEAD & | params_NGCTRL (const int gct)
InteHEAD & | stepParam (const int tstep, const int report_step)
InteHEAD & | tuningParam (const TuningPar &tunpar)
InteHEAD & | variousParam (const int version, const int iprog)
InteHEAD & | wellSegDimensions (const WellSegDims &wsdim)
InteHEAD & | activeNetwork (const ActiveNetwork &actntwrk)
InteHEAD & | networkDimensions (const NetworkDims &nwdim)
InteHEAD & | netBalanceData (const NetBalanceDims &nwbaldim)
InteHEAD & | regionDimensions (const RegDims &rdim)
InteHEAD & | rockOpts (const RockOpts &rckop)
InteHEAD & | ngroups (const Group &gr)
InteHEAD & | udqParam_1 (const UdqParam &udqpar)
InteHEAD & | actionParam (const ActionParam &act_par)
InteHEAD & | variousUDQ_ACTIONXParam ()
InteHEAD & | nominatedPhaseGuideRate (GuideRateNominatedPhase nphase)
InteHEAD & | whistControlMode (int mode)
InteHEAD & | liftOptParam (int in_enc)
const std::vector< int > & | data () const

## Static Public Member Functions

static int | numRsegElem (const Opm::Phases &phase)

The documentation for this class was generated from the following files:

- opm/output/eclipse/InteHEAD.hpp
- opm/output/eclipse/InteHEAD.cpp